---
id: teamos
name: TeamOS
description: "Team OS is a Private Torrent Tracker for SOFTWARE"
language: en-US
type: private
encoding: UTF-8
requestDelay: 2
links:
  - https://www.teamos.xyz/
legacylinks:
  - https://www.teamos-hkrg.com/
  - https://teamos-hkrg.com/
  - https://teamos.xyz/

caps:
  categorymappings:
    - {id: 18, cat: PC, desc: "Team-OS VIP Releases"}
    - {id: 19, cat: PC, desc: "Windows 7 Releases"}
    - {id: 20, cat: PC, desc: "Windows 7 Releases 32 Bit"}
    - {id: 21, cat: PC, desc: "Windows 7 Releases 64 Bit"}
    - {id: 22, cat: PC, desc: "Windows 7 Releases  x86-x64 AIO"}
    - {id: 24, cat: PC, desc: "Windows 8.1 Release"}
    - {id: 25, cat: PC, desc: "Windows 8.1 Release 32 Bit"}
    - {id: 26, cat: PC, desc: "Windows 8.1 Release 64 Bit"}
    - {id: 27, cat: PC, desc: "Windows 8.1 Release x86-x64 AIO"}
    - {id: 107, cat: PC, desc: "Windows 10 Releases"}
    - {id: 109, cat: PC, desc: "Windows 10 Releases 64 Bit"}
    - {id: 110, cat: PC, desc: "Windows 10 Releases x86-x64 AIO"}
    - {id: 28, cat: PC, desc: "Operating Systems"}
    - {id: 175, cat: PC, desc: "Windows AIO Operating Systems"}
    - {id: 29, cat: PC, desc: "Windows XP"}
    - {id: 30, cat: PC, desc: "Windows XP 32 Bit"}
    - {id: 31, cat: PC, desc: "Windows XP 64 Bit"}
    - {id: 32, cat: PC, desc: "Windows XP x86/64+AIO"}
    - {id: 33, cat: PC, desc: "Windows 7"}
    - {id: 34, cat: PC, desc: "Windows 7 32 Bit"}
    - {id: 35, cat: PC, desc: "Windows 7 64 Bit"}
    - {id: 36, cat: PC, desc: "Windows 7 x86/64+AIO"}
    - {id: 37, cat: PC, desc: "Windows 8 & 8.1"}
    - {id: 38, cat: PC, desc: "Windows 8 & 8.1 32 Bit"}
    - {id: 39, cat: PC, desc: "Windows 8 & 8.1 64 Bit"}
    - {id: 40, cat: PC, desc: "Windows 8 & 8.1 x86/64+AIO"}
    - {id: 42, cat: PC, desc: "Windows 10"}
    - {id: 43, cat: PC, desc: "Windows 10 (x86)"}
    - {id: 44, cat: PC, desc: "Windows 10 (x64)"}
    - {id: 45, cat: PC, desc: "Windows 10 (x86 & x64)"}
    - {id: 157, cat: PC, desc: "Windows 11"}
    - {id: 159, cat: PC, desc: "Windows 11 (x64)"}
    - {id: 140, cat: PC/Mac, desc: "MacOS"}
    - {id: 41, cat: PC, desc: "Windows Servers/Old Windows OS/Others"}
    - {id: 46, cat: PC/ISO, desc: "Windows Untouched ISO(MSDN)"}
    - {id: 47, cat: PC, desc: "Windows 7 Untouched (MSDN)"}
    - {id: 48, cat: PC, desc: "Windows 7 32 Bit Untouched (MSDN)"}
    - {id: 49, cat: PC, desc: "Windows 7 64 Bit Untouched (MSDN)"}
    - {id: 50, cat: PC/ISO, desc: "Windows 7 x86/64+AIO Untouched ISO"}
    - {id: 51, cat: PC, desc: "Windows 8 & 8.1 Untouched (MSDN)"}
    - {id: 52, cat: PC, desc: "Windows 8 & 8.1 32 Bit Untouched (MSDN)"}
    - {id: 53, cat: PC, desc: "Windows 8 & 8.1 64 Bit Untouched (MSDN)"}
    - {id: 54, cat: PC/ISO, desc: "Windows 8 & 8.1 x86/64+AIO Untouched ISO"}
    - {id: 58, cat: PC/ISO, desc: "Microsoft Office Multi-lang Untouch ISO"}
    - {id: 59, cat: PC/ISO, desc: "x86-x64 bit Untouched Iso"}
    - {id: 55, cat: PC, desc: "Windows Server 2003 (Untouched)"}
    - {id: 56, cat: PC, desc: "Windows Server 2003 32 Bit Untouched"}
    - {id: 57, cat: PC, desc: "Windows Server 2003 64 Bit Untouched"}
    - {id: 132, cat: PC, desc: "Linux/Unix"}
    - {id: 60, cat: PC/0day, desc: "Software Releases"}
    - {id: 71, cat: PC/0day, desc: "Activators/ Crack/ patch/ keygen"}
    - {id: 75, cat: PC/0day, desc: "Adobe Plugins"}
    - {id: 62, cat: PC/Mobile-Android, desc: "Android Apps"}
    - {id: 141, cat: PC/Mac, desc: "Mac Apps"}
    - {id: 61, cat: PC/0day, desc: "Antivirus"}
    - {id: 65, cat: PC/0day, desc: "Multimedia"}
    - {id: 66, cat: PC/0day, desc: "Audio Apps"}
    - {id: 68, cat: PC/0day, desc: "Photo Apps"}
    - {id: 111, cat: PC/0day, desc: "3D Modeling"}
    - {id: 67, cat: PC/0day, desc: "Video Apps"}
    - {id: 76, cat: PC/0day, desc: "Customisation"}
    - {id: 69, cat: PC/0day, desc: "Document Tools"}
    - {id: 63, cat: PC/0day, desc: "Download Managers"}
    - {id: 77, cat: PC/0day, desc: "Drivers and Necessary Tools"}
    - {id: 64, cat: PC/0day, desc: "DVD Tools"}
    - {id: 73, cat: PC/0day, desc: "Microsoft Office"}
    - {id: 83, cat: PC/0day, desc: "Silent Apps"}
    - {id: 72, cat: PC/0day, desc: "Other Softwares"}
    - {id: 79, cat: PC/0day, desc: "Recovery Tools"}
    - {id: 78, cat: PC/0day, desc: "Security Tools"}
    - {id: 70, cat: PC/0day, desc: "Utility Tools"}
    - {id: 74, cat: PC/0day, desc: "Web Tools"}
    - {id: 81, cat: PC/0day, desc: "Developers"}
    - {id: 82, cat: PC/0day, desc: "Designers"}
    - {id: 84, cat: PC, desc: "TEAM OS Other Stuff Releases"}
    - {id: 131, cat: PC/Mac, desc: "MAC Games"}
    - {id: 88, cat: PC/Mobile-Android, desc: "Android Games"}
    - {id: 85, cat: PC/Games, desc: "Games"}
    - {id: 86, cat: Books/EBook, desc: "Ebooks"}
    - {id: 87, cat: Other, desc: "Wallpapers, Themes & Screensavers"}
    - {id: 89, cat: PC, desc: "Other Releases"}
    - {id: 102, cat: Other, desc: "Post And Share"}
    - {id: 100, cat: Other, desc: "Tutorials"} # undocumented
    - {id: 103, cat: Other, desc: "Other Topic"} # undocumented

  modes:
    search: [q]
    book-search: [q]

settings:
  - name: info_novpn
    type: info
    label: VPN Not Allowed
    default: "You may be banned if you use a VPN, proxy, TOR or data center to access the TeamOS web site.​ This mean all brands of VPNS, no exceptions!!"
  # using cookie method because login page is dynamically generated using JS #5572
  - name: cookie
    type: text
    label: Cookie
  - name: info_cookie
    type: info_cookie
  - name: useragent
    type: text
    label: User-Agent
  - name: info_useragent
    type: info_useragent
  - name: freeleech
    type: checkbox
    label: Search freeleech only
    default: false
  - name: info_results
    type: info
    label: Search results
    default: "If you are getting the error <b>Found no results while trying to browse this tracker</b> then first access the site with your browser and read any mandatory notices that the site presents. You cannot browse torrents with unread notices outstanding."

login:
  method: cookie
  inputs:
    cookie: "{{ .Config.cookie }}"
  test:
    path: /
    selector: a[href="/account/"]

search:
  headers:
    User-Agent: ["{{ .Config.useragent }}"]

  paths:
    # 25 results per page
    - path: "torrents/?filename={{ .Keywords }}&freeleech={{ if .Config.freeleech }}1{{ else }}{{ end }}"
    - path: "torrents/?filename={{ .Keywords }}&page=2&freeleech={{ if .Config.freeleech }}1{{ else }}{{ end }}"
    - path: "torrents/?filename={{ .Keywords }}&page=3&freeleech={{ if .Config.freeleech }}1{{ else }}{{ end }}"
    - path: "torrents/?filename={{ .Keywords }}&page=4&freeleech={{ if .Config.freeleech }}1{{ else }}{{ end }}"

  rows:
    selector: tr.dataList-row:has(td.download)

  fields:
    category:
      selector: a[href^="/forums/"]
      attribute: href
      filters:
        - name: regexp
          args: "\\.(\\d+)\\/$"
    title:
      selector: a[href^="/threads/"]
    details:
      selector: a[href^="/threads/"]
      attribute: href
    download:
      selector: td.download a
      attribute: href
    date:
      selector: li.structItem-startDate a time
      attribute: datetime
    size:
      selector: td:nth-last-child(4)
    grabs:
      selector: td:nth-last-child(3)
    seeders:
      selector: td:nth-last-child(2)
    leechers:
      selector: td:nth-last-child(1)
    downloadvolumefactor:
      case:
        "span.label:contains(\"Freeleech\")": 0
        "*": 1
    uploadvolumefactor:
      text: 1
# global MR is 0.4 but torrents must be seeded for 3 days regardless of ratio
#    minimumratio:
#      text: 0.4
    minimumseedtime:
      # 3 days (as seconds = 3 x 24 x 60 x 60)
      text: 259200
# engine n/a
